body, html {
    margin: 0;
    padding: 0;
    font-family: Arial, sans-serif;

}

.page-content {
    padding: 15px 0 0 0;
    /* 其他样式 */
    background-image: url("../res/background_blue_grey.jpg");
    background-size: cover;
    background-position: center;
}

.page-content .centered-block {
    width: 80%; /* 或您期望的任何宽度 */
    margin: 0 auto;
}

.chapter-title {
    font-family: 'Georgia', serif; /* 使用衬线字体，如Georgia，以增加正式感 */
    font-size: 1.5em; /* 设置较大的字体大小 */
    font-weight: bold; /* 加粗字体 */
    color: #222; /* 深灰色，易于阅读 */
    text-align: center; /* 居中对齐 */
    margin-top: 1em; /* 与上一元素之间增加间距 */
    margin-bottom: 1em; /* 与下一元素之间增加间距 */
    border-bottom: 2px solid #ddd; /* 在标题下方添加一条淡灰色的底线 */
    padding-bottom: 0.5em; /* 在底线与标题文本之间增加间距 */
}

/* 正文样式 */
.chapter-body {
    font-family: 'Arial', sans-serif; /* 使用无衬线字体，如Arial，以增加可读性 */
    font-size: 1em; /* 稍微增大字体大小 */
    line-height: 1.6; /* 设置行高，以增加可读性 */
    color: #444; /* 中灰色，与背景形成对比 */
    margin: 0 auto; /* 自动设置左右外边距，使内容居中 */
    max-width: 800px; /* 设置最大宽度，以适应不同屏幕尺寸 */
    padding: 0 1em; /* 在内容两侧增加内边距 */
    text-align: justify; /* 两端对齐文本 */
}

/* 可选的：为正文中的段落添加首行缩进 */
.chapter-body p {
    text-indent: 2em; /* 首行缩进2个字符宽度 */
}

.chapter-body img {
    width: 100%; /* 或您期望的任何宽度 */
    margin: 0 auto;
}

.toc {
    position: fixed;
    top: 0px;
    width: 100%;
    height: 40px;
    z-index: 999;
    padding: 10px 20px;
    background-color: white;
    color: white;
    border: none;
    cursor: pointer;
    box-shadow: 0 4px 8px rgba(0, 0, 0, 0.2);
}

.title-container {
    display: flex;
    align-items: center; /* 垂直居中 */
    justify-content: center;
    width: fit-content; /* 或设置具体宽度，但使用fit-content可自动适应内容宽度 */
    height: 40px;
    margin: 0 auto; /* 实现水平居中 */
}

.title-container .toc-button {
    position: fixed;
    width: 20%;
    height: 30px;
    top: 15px;
    left: 20px;
    z-index: 1000;
    padding: 0 20px 0 20px;
    background-color: #4292ff;
    color: white;
    font-size: 18px;
    border: black;
    border-radius: 5px;
    cursor: pointer;
}

.title-container .app-title {
    display: flex;
    align-items: center;
    justify-content: center;
}

.title-container .app-title  img {
    width: 30px; /* 或您期望的任何宽度 */
    height: 30px;
    align-items: center;
}

.title-container .app-title .title {
    position: relative;
    width: auto; /* 或您期望的任何宽度 */
    left: 10px;
    color: #4292ff;
    font-size: 16px;
    align-items: center;
}

/* 章节悬浮窗样式 */
.toc-overlay {
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background-color: rgba(0, 0, 0, 0.5);
    display: none;
    justify-content: center;
    align-items: center;
    z-index: 999;
}

.toc-content {
    background-color: white;
    padding: 20px;
    border-radius: 8px;
    width: 300px;
    text-align: left;
    position: relative;
}

.toc-content h2 {
    margin-top: 0;
}

#toc-list {
    list-style-type: none;
    padding: 0;
}

#toc-list li {
    margin: 10px 0;
}

.close-button {
    position: absolute;
    top: 10px;
    right: 10px;
    padding: 5px 10px;
    background-color: #DC3545;
    color: white;
    border: none;
    border-radius: 5px;
    cursor: pointer;
}